Subject: Re: [netmod] regular expression flavours (again)
From: Carsten Bormann <[email-masked]>
To: Ladislav Lhotka <[email-masked]>
Cc: Juergen Schoenwaelder <[email-masked]>, NETMOD WG <[email-masked]>
Date: Fri, 14 Jun 2019 11:12:25 +0200
List-Id: NETMOD WG list <netmod.ietf.org>

On Jun 14, 2019, at 09:58, Ladislav Lhotka <[email-masked]> wrote:
> 
> I agree with all this but, apparently, OpenConfig people don't care too much.
> And since they are much more agile than the IETF, our views may soon become
> irrelevant.

If this becomes our attitude, we already are irrelevant.

I have no idea why someone would go for Posix REs of all things, but if OpenConfig wants to do that, more power to them.  However, YANG has well-defined extension points, and arbitrarily changing the semantics of the pattern statement is not one of them.  So we have to make sure they know that this is not tolerable, and probably show them the way on a good way to make use of the existing extension points.

For CDDL, we essentially have the same problem (nobody likes W3C XSD, not even their REs, but there were good reasons to choose them, not the least that YANG also chose them).  CDDL also has an extension point that is useful here, and RFC 8610 Section 3.8.3.2 was added specifically to guide CDDL users to use the right extension point once the need comes up:

https://tools.ietf.org/html/rfc8610#section-3.8.3.2

I would expect the netmod community to write a similar section, in a separate I-D of its own if need be, and obtain IETF consensus on it.  Make the OpenConfig people aware of it (now, and when it’s done).  Github issues are a good way to do the latter.

Grüße, Carsten